package ucot.core;

import ucot.ui.ProgressBarInterface;

/**
 * DummyProgressBar which does absolutely nothing but helps
 * avoiding null values in ProgressBar variables.
 * 
 * @author UCOT
 */
public class DummyProgressBar implements ProgressBarInterface {

	/* (non-Javadoc)
	 * @see ucot.core.ProgressBar#getMaximum()
	 */
	public int getMaximum() { return 0;	}
	
	/* (non-Javadoc)
	 * @see ucot.core.ProgressBar#getMinimum()
	 */
	public int getMinimum() { return 0;	}
	
	/* (non-Javadoc)
	 * @see ucot.core.ProgressBar#getPercentageComplete()
	 */
	public double getPercentageComplete() { return 0; }
	
	/* (non-Javadoc)
	 * @see ucot.core.ProgressBar#getString()
	 */
	public String getString() { return null; }
	
	/* (non-Javadoc)
	 * @see ucot.core.ProgressBar#getValue()
	 */
	public int getValue() { return 0; }
	
	/* (non-Javadoc)
	 * @see ucot.core.ProgressBar#setMaximum(int)
	 */
	public void setMaximum(int maximum) {}
	
	/* (non-Javadoc)
	 * @see ucot.core.ProgressBar#setMinimum(int)
	 */
	public void setMinimum(int minimum) {}

	/* (non-Javadoc)
	 * @see ucot.core.ProgressBar#setString(java.lang.String)
	 */
	public void setString(String string) {}
	
	/* (non-Javadoc)
	 * @see ucot.core.ProgressBar#setValue(int)
	 */
	public void setValue(int value) {}
	
	/* (non-Javadoc)
	 * @see ucot.core.ProgressBar#setVisible(boolean)
	 */
	public void setVisible(boolean visible) {}

}
