package ucot.output;

import java.io.IOException;
import java.net.URL;
import java.util.Properties;

import ucot.exceptions.BadPropertyValueException;
import ucot.model.AnalyzeModel;

public class DummyOutput implements OutputInterface {

	/* (non-Javadoc)
	 * @see ucot.output.OutputInterface#output(ucot.model.AnalyzeModel, java.net.URL)
	 */
	public void output(AnalyzeModel analyzeModel, URL url) throws IOException {}
	
	/* (non-Javadoc)
	 * @see ucot.output.OutputInterface#getName()
	 */
	public String getName() { return "Dummy Output"; }
	
	/* (non-Javadoc)
	 * @see ucot.ModulePropertyInterface#getProperties()
	 */
	public Properties getProperties() { return new Properties(); }
	
	/* (non-Javadoc)
	 * @see ucot.ModulePropertyInterface#setProperties(java.util.Properties)
	 */
	public void setProperties(Properties properties) {}
	
	/* (non-Javadoc)
	 * @see ucot.ModulePropertyInterface#applyProperties()
	 */
	public void applyProperties() throws BadPropertyValueException {}
	
	/* (non-Javadoc)
	 * @see ucot.ModulePropertyInterface#saveProperties()
	 */
	public void saveProperties() throws IOException {}
	
	/* (non-Javadoc)
	 * @see ucot.ModulePropertyInterface#loadProperties()
	 */
	public void loadProperties() throws IOException {}
	
	/* (non-Javadoc)
	 * @see ucot.ModulePropertyInterface#loadDefaultProperties()
	 */
	public Properties loadDefaultProperties() { return new Properties(); }

	/* (non-Javadoc)
	 * @see ucot.output.OutputInterface#getFileExtension()
	 */
	public String getFileExtension() { return ""; }
	
}
